version: '3'
services:
  martine-web:
    image: thecodingmachine/php:8.2-v4-apache
    container_name: martine-PHP
    depends_on:
      - martine-mariadb
    volumes:
      -  .:/var/www/html/
    ports:
      - "8080:80"
    environment:
      - APACHE_EXTENSIONS=autoindex
      - APACHE_DOCUMENT_ROOT=public/
      - PHP_EXTENSIONS=intl
  martine-mariadb:
    image: bitnami/mariadb:10.3-debian-10
    container_name: martine-DB
    environment:
      - ALLOW_EMPTY_PASSWORD=yes
      - MARIADB_SKIP_TEST_DB=yes
      # - MARIADB_DATABASE=chasseosantons
    ports:
      - "3303:3306"
    volumes:
      - "./documentation/database:/docker-entrypoint-initdb.d"
